| Exiv2

Loading...
Searching...
No Matches
Static Public Member Functions | List of all members
Exiv2::Internal::OlympusMakerNote Class Reference

MakerNote for Olympus cameras. More...

`#include <olympusmn_int.hpp>`

## Static Public Member Functions
static const TagInfo * | tagList ()
| Return read-only list of built-in Olympus tags.
static const TagInfo * | tagListCs ()
| Return read-only list of built-in Olympus Camera Settings tags.
static const TagInfo * | tagListEq ()
| Return read-only list of built-in Olympus Equipment tags.
static const TagInfo * | tagListRd ()
| Return read-only list of built-in Olympus Raw Development tags.
static const TagInfo * | tagListRd2 ()
| Return read-only list of built-in Olympus Raw Development 2 tags.
static const TagInfo * | tagListIp ()
| Return read-only list of built-in Olympus Image Processing tags.
static const TagInfo * | tagListFi ()
| Return read-only list of built-in Olympus Focus Info tags.
static const TagInfo * | tagListFe ()
| Return read-only list of built-in Olympus FE tags.
static const TagInfo * | tagListRi ()
| Return read-only list of built-in Olympus Raw Info tags.

## Print functions for Olympus MakerNote tags
static std::ostream & | print0x0200 (std::ostream &os, const Value &value, const ExifData *)
| Print 'Special Mode'.
static std::ostream & | print0x0204 (std::ostream &os, const Value &value, const ExifData *)
| Print Digital Zoom Factor.
static std::ostream & | print0x1015 (std::ostream &os, const Value &value, const ExifData *)
| Print White Balance Mode.
static std::ostream & | print0x0201 (std::ostream &os, const Value &value, const ExifData *)
| Print Olympus equipment Lens type.
static std::ostream & | print0x0209 (std::ostream &os, const Value &value, const ExifData *)
| Print Olympus CameraID.
static std::ostream & | printEq0x0301 (std::ostream &os, const Value &value, const ExifData *)
| Print Olympus equipment Extender.
static std::ostream & | printCs0x0301 (std::ostream &os, const Value &value, const ExifData *)
| Print Olympus camera settings Focus Mode.
static std::ostream & | print0x050f (std::ostream &os, const Value &value, const ExifData *)
| Print Olympus camera settings Gradation.
static std::ostream & | print0x0527 (std::ostream &os, const Value &value, const ExifData *)
| Print Olympus camera settings Noise Filter.
static std::ostream & | print0x0529 (std::ostream &os, const Value &value, const ExifData *)
| Print Olympus ArtFilter.
static std::ostream & | print0x1209 (std::ostream &os, const Value &value, const ExifData *)
| Print Olympus focus info ManualFlash.
static std::ostream & | print0x0305 (std::ostream &os, const Value &value, const ExifData *)
| Print Olympus focus distance.
static std::ostream & | print0x0308 (std::ostream &os, const Value &value, const ExifData *)
| Print Olympus focus info AF Point.
static std::ostream & | printGeneric (std::ostream &os, const Value &value, const ExifData *)
| Print Olympus generic.

## Detailed Description

MakerNote for Olympus cameras.

## Member Function Documentation

## ◆ print0x0201()

std::ostream & Exiv2::Internal::OlympusMakerNote::print0x0201 | ( | std::ostream & | os,
|  | const Value & | value,
|  | const ExifData * | )
| static

Print Olympus equipment Lens type.

OlympusEq LensType, tag 0x201.

References Exiv2::Value::count(), Exiv2::Internal::readExiv2Config(), Exiv2::Value::toInt64(), Exiv2::Value::toString(), Exiv2::Value::typeId(), Exiv2::undefined, and Exiv2::unsignedByte.

## ◆ print0x0529()

std::ostream & Exiv2::Internal::OlympusMakerNote::print0x0529 | ( | std::ostream & | os,
|  | const Value & | value,
|  | const ExifData * | metadata )
| static

Print Olympus ArtFilter.

OlympusCs ArtFilter, tag 0x0529, OlympusCs MagicFilter, tag 0x052c.

References Exiv2::Value::count(), Exiv2::Internal::printTag(), Exiv2::Value::toInt64(), Exiv2::Value::typeId(), and Exiv2::unsignedShort.

## ◆ printCs0x0301()

std::ostream & Exiv2::Internal::OlympusMakerNote::printCs0x0301 | ( | std::ostream & | os,
|  | const Value & | value,
|  | const ExifData * | )
| static

Print Olympus camera settings Focus Mode.

OlympusCs FocusMode, tag 0x0301.

References Exiv2::Value::count(), Exiv2::Value::toInt64(), Exiv2::Value::typeId(), and Exiv2::unsignedShort.

## ◆ printEq0x0301()

std::ostream & Exiv2::Internal::OlympusMakerNote::printEq0x0301 | ( | std::ostream & | os,
|  | const Value & | value,
|  | const ExifData * | )
| static

Print Olympus equipment Extender.

OlympusEq Extender, tag 0x0301.

References Exiv2::Value::count(), Exiv2::model(), Exiv2::Value::toInt64(), Exiv2::Value::typeId(), and Exiv2::unsignedByte.

The documentation for this class was generated from the following files:

- olympusmn_int.hpp
- olympusmn_int.cpp